> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all recurring resident charges

GET https://api.propexo.com/v1/recurring-resident-charges/

Get all recurring resident charges

Reference: https://docs.propexo.com/api-reference/appfolio/billing-and-payments/get-all-recurring-resident-charges

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `lease_id` (string, optional) — The Propexo unique identifier for the lease
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of RecurringResidentCharge, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### RecurringResidentCharge

- `id` (string, required) — The Propexo unique identifier for the recurring resident charge
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for APPFOLIO
- `x_charge_code_id` (any, required) — The external ID of the charge code from the integration vendorThis field will always be null for APPFOLIO
- `x_financial_account_id` (string, required, nullable) — The external ID of the financial account from the integration vendor | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `x_lease_id` (string, required, nullable) — The external ID of the lease from the integration vendor | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `amount_in_cents` (double, required, nullable) — The total amount of the recurring resident charge | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `amount_raw` (string, required, nullable) — The raw value for amount from the PMS | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `is_active` (any, required) — Whether the recurring resident charge is activeThis field will always be null for APPFOLIO
- `description` (string, required, nullable) — Description of the recurring resident charge | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `reference_number` (any, required) — The reference number for the recurring resident chargeThis field will always be null for APPFOLIO
- `start_date` (string, required, nullable) — The start date associated with the recurring resident charge | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `end_date` (string, required, nullable) — The end date associated with the recurring resident charge | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `frequency_raw` (any, required) — The raw value of the frequency of the recurring resident chargeThis field will always be null for APPFOLIO
- `frequency_normalized` (any, required) — The frequency of the recurring resident chargeThis field will always be null for APPFOLIO
- `charge_due_day` (any, required) — The due date associated with the recurring resident chargeThis field will always be null for APPFOLIO
- `custom_data` (RecurringResidentChargeCustomData, required, nullable)
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial account | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `lease_id` (string, required, nullable) — The Propexo unique identifier for the lease | Method | Interface | |---|---| | /v0/recurring_charges | Recurring Charges |
- `charge_code_id` (any, required) — The Propexo unique identifier for the charge codeThis field will always be null for APPFOLIO
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### RecurringResidentChargeCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "9bbd2119-fc5b-11ee-b4c9-127878f6015f",
      "x_property_id": "f3f84195-913c-11e8-a048-b083fede658c",
      "x_location_id": null,
      "x_charge_code_id": null,
      "x_financial_account_id": "7fce89bb-9f54-11ec-b98f-02adc9d8d6b4",
      "x_lease_id": "178c8870-40da-11eb-b9a7-02786db7504a",
      "amount_in_cents": 325000,
      "amount_raw": "55.00",
      "is_active": null,
      "description": "Rent",
      "reference_number": null,
      "start_date": "2025-07-15T00:00:00.000Z",
      "end_date": "2025-07-15T00:00:00.000Z",
      "frequency_raw": null,
      "frequency_normalized": null,
      "charge_due_day": null,
      "custom_data": {},
      "financial_account_id": "clwqs19bb000008l1bbcv2bs4:f3f84195-913c-11e8-a048-b083fede658c:7fce89bb-9f54-11ec-b98f-02adc9d8d6b4",
      "lease_id": "clwqs19bb000008l1bbcv2bs4:f3f84195-913c-11e8-a048-b083fede658c:178c8870-40da-11eb-b9a7-02786db7504a",
      "charge_code_id": null,
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "APPFOLIO",
      "property_id": "clwi5xiix000008l6ctdgafyh"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/recurring-resident-charges/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/recurring-resident-charges/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/recurring-resident-charges/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/recurring-resident-charges/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/recurring-resident-charges/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/recurring-resident-charges/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/recurring-resident-charges/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/recurring-resident-charges/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```